LASi: drawGlyph.cpp File Reference

Classes | Functions | Variables

# drawGlyph.cpp File Reference

libLASi provides a C++ output stream interface for writing multi-language Postscript documents. More...

`#include <ostream>`
`#include <freetype/ftoutln.h>`
`#include <algorithm>`
`#include <LASi.h>`
`#include <config.h>`
`#include "glyphMgr.h"`
`#include "util.h"`
`#include "memory.h"`

## Classes
struct | StateOfDrawGlyph
## Functions
static FT_Vector | operator+ (const FT_Vector &vec1, const FT_Vector &vec2)
static FT_Vector | operator* (const FT_Vector &vec1, const int n)
static FT_Vector | operator* (const int n, const FT_Vector &vec1)
static FT_Vector | operator/ (const FT_Vector &vec1, const int n)
static ostream & | operator<< (ostream &os, const FT_Vector &ftVec)
static int | xTo (const FT_Vector *pftVec, void *const data, const char *const cmd)
static int | moveTo (FT_Vector *pftVec, void *data)
static int | lineTo (FT_Vector *pftVec, void *data)
static int | cubicTo (FT_Vector *ctrlPt1, FT_Vector *ctrlPt2, FT_Vector *pEndPt, void *data)
static int | conicTo (FT_Vector *pCtrlPt, FT_Vector *pEndPt, void *data)
## Variables
static const FT_Outline_Funcs | outlineFuncs = {moveTo, lineTo, conicTo, cubicTo}

## Detailed Description

libLASi provides a C++ output stream interface for writing multi-language Postscript documents.

Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution.

## Function Documentation

static int conicTo | ( | FT_Vector * | pCtrlPt,
|  | FT_Vector * | pEndPt,
|  | void * | data |
| ) |  |  | `[static]`

References cubicTo(), and StateOfDrawGlyph::startPt().

static int cubicTo | ( | FT_Vector * | ctrlPt1,
|  | FT_Vector * | ctrlPt2,
|  | FT_Vector * | pEndPt,
|  | void * | data |
| ) |  |  | `[static]`

References StateOfDrawGlyph::os(), and StateOfDrawGlyph::setStartPt().

Referenced by conicTo().

static int lineTo | ( | FT_Vector * | pftVec,
|  | void * | data |
| ) |  |  | `[static]`

References xTo().

static int moveTo | ( | FT_Vector * | pftVec,
|  | void * | data |
| ) |  |  | `[static]`

References StateOfDrawGlyph::isNewPath(), StateOfDrawGlyph::os(), StateOfDrawGlyph::setNewPathFalse(), and xTo().

static FT_Vector operator* | ( | const int | n,
|  | const FT_Vector & | vec1 |
| ) |  |  | `[static]`

References operator*().

static FT_Vector operator* | ( | const FT_Vector & | vec1,
|  | const int | n |
| ) |  |  | `[static]`

Referenced by operator*().

static FT_Vector operator+ | ( | const FT_Vector & | vec1,
|  | const FT_Vector & | vec2 |
| ) |  |  | `[static]`

static FT_Vector operator/ | ( | const FT_Vector & | vec1,
|  | const int | n |
| ) |  |  | `[static]`

static ostream& operator<< | ( | ostream & | os,
|  | const FT_Vector & | ftVec |
| ) |  |  | `[static]`

static int xTo | ( | const FT_Vector * | pftVec,
|  | void *const | data,
|  | const char *const | cmd |
| ) |  |  | `[static]`

References StateOfDrawGlyph::os(), and StateOfDrawGlyph::setStartPt().

Referenced by lineTo(), and moveTo().

## Variable Documentation

const FT_Outline_Funcs outlineFuncs = {moveTo, lineTo, conicTo, cubicTo}`[static]`